Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CircleCalculation Class Reference

`#include <CircleCalculation.h>`

Collaboration diagram for CircleCalculation:

[legend]
List of all members.

## Public Member Functions
void | init ()
bool | createCircle (int set, Geometry::Circle &circle)
void | addBallPoint (int set, int x, int y, bool isBottom)
int | getNumberOfBallPoints (int set)
bool | getBoundary (Boundary< int > &ballBoundary, int set)
int | paintBallPoints (int set, int minIndex, int drawingID, Drawings::Color color, int size)
## Private Types
enum | { maxNumberOfBallPoints = 400 }
enum | { numberOfBallPointSets = 2 }
## Private Member Functions
bool | select3Points (int &point1, int &point2, int &point3, int set)
Vector2< int > | cutMiddlePerpendiculars (Vector2< int > &v1, Vector2< int > &v2, Vector2< int > &v3) const
## Private Attributes
BallPoint | ballPoints [maxNumberOfBallPoints][numberOfBallPointSets]
| All sets of ball points.
int | numberOfBallPoints [numberOfBallPointSets]
| The number of ball points in each set.

## Detailed Description

Author:
  Matthias Jüngel

Definition at line 26 of file CircleCalculation.h.

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  maxNumberOfBallPoints |
Definition at line 57 of file CircleCalculation.h.

anonymous enum`[private]`

  | Enumeration values:
  numberOfBallPointSets |
Definition at line 59 of file CircleCalculation.h.

## Member Function Documentation

void CircleCalculation::init | ( |  | ) |

| Definition at line 13 of file CircleCalculation.cpp. References numberOfBallPoints, and numberOfBallPointSets.

bool CircleCalculation::createCircle | ( | int | set,
|  | Geometry::Circle & | circle
| ) |

| Definition at line 33 of file CircleCalculation.cpp. References Geometry::Circle::center, CIRCLE, cutMiddlePerpendiculars(), Geometry::Circle::radius, select3Points(), Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, and Vector2< double >::y.

Here is the call graph for this function:

void CircleCalculation::addBallPoint | ( | int | set,
|  | int | x,
|  | int | y,
|  | bool | isBottom
| ) |

| Definition at line 21 of file CircleCalculation.cpp. References CircleCalculation::BallPoint::isBottom, numberOfBallPoints, Vector2< int >::x, and Vector2< int >::y.

int CircleCalculation::getNumberOfBallPoints | ( | int | set | ) |

| Definition at line 29 of file CircleCalculation.cpp. References numberOfBallPoints.

bool CircleCalculation::getBoundary | ( | Boundary< int > & | ballBoundary,
|  | int | set
| ) |

| Definition at line 58 of file CircleCalculation.cpp. References Boundary< T >::add(), numberOfBallPoints, Boundary< T >::x, and Boundary< T >::y.

Here is the call graph for this function:

int CircleCalculation::paintBallPoints | ( | int | set,
|  | int | minIndex,
|  | int | drawingID,
|  | Drawings::Color | color,
|  | int | size
| ) |

| Definition at line 151 of file CircleCalculation.cpp. References CIRCLE, and COMPLEX_DRAWING.

bool CircleCalculation::select3Points | ( | int & | point1,
|  | int & | point2,
|  | int & | point3,
|  | int | set
| ) | `[private]`

| Definition at line 82 of file CircleCalculation.cpp. References numberOfBallPoints, Vector2< V >::x, Vector2< int >::x, and Vector2< V >::y. Referenced by createCircle().

Vector2< int > CircleCalculation::cutMiddlePerpendiculars | ( | Vector2< int > & | v1,
|  | Vector2< int > & | v2,
|  | Vector2< int > & | v3
| ) | const`[private]`

| Definition at line 130 of file CircleCalculation.cpp. References pi_2, Vector2< V >::x, and Vector2< V >::y. Referenced by createCircle().

## Member Data Documentation

BallPoint CircleCalculation::ballPoints[maxNumberOfBallPoints][numberOfBallPointSets]`[private]`

| All sets of ball points. Definition at line 61 of file CircleCalculation.h.

int CircleCalculation::numberOfBallPoints[numberOfBallPointSets]`[private]`

| The number of ball points in each set. Definition at line 62 of file CircleCalculation.h. Referenced by addBallPoint(), getBoundary(), getNumberOfBallPoints(), init(), and select3Points().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/ImageProcessorTools/CircleCalculation.h
- Modules/ImageProcessor/ImageProcessorTools/CircleCalculation.cpp